net.ME1312.SubServers.Bungee.Network

## Interface PacketIn

All Known Implementing Classes:
  PacketAuthorization, PacketCommandServer, PacketCreateServer, PacketDownloadBuildScript, PacketDownloadHostInfo, PacketDownloadLang, PacketDownloadPlayerList, PacketDownloadServerInfo, PacketDownloadServerList, PacketInfoPassthrough, PacketLinkServer, PacketStartServer, PacketStopServer, PacketTeleportPlayer

    public interface PacketIn

PacketIn Layout Class

Author:
  ME1312

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute(Client client, org.json.JSONObject data)` Execute Incoming Packet
`Version` `getVersion()` Get Packet Version

### Method Detail

#### execute

    void execute(Client client,
                 org.json.JSONObject data)

Execute Incoming Packet

Parameters:
  `client` - Client Accepting
  `data` - Incoming Data

#### getVersion

    Version getVersion()

Get Packet Version

Returns:
  Packet Version